[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-docs] branch master updated (54145e3f -> 24933224)
From: |
gnunet |
Subject: |
[taler-docs] branch master updated (54145e3f -> 24933224) |
Date: |
Wed, 06 Dec 2023 17:21:23 +0100 |
This is an automated email from the git hooks/post-receive script.
devan-carpenter pushed a change to branch master
in repository docs.
from 54145e3f Update corebank API
new efef505a CI: make build script print more to stdout
new 24933224 CI: only publish docs if on master branch
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "add" were already present in the repository and have only
been added to this reference.
Summary of changes:
contrib/ci/jobs/0-build/build-docs.sh | 19 +++++++++++--------
1 file changed, 11 insertions(+), 8 deletions(-)
diff --git a/contrib/ci/jobs/0-build/build-docs.sh
b/contrib/ci/jobs/0-build/build-docs.sh
index 6accee36..43152df9 100755
--- a/contrib/ci/jobs/0-build/build-docs.sh
+++ b/contrib/ci/jobs/0-build/build-docs.sh
@@ -1,14 +1,17 @@
#!/bin/bash
-set -eu
+set -exou
make html
make latexpdf
-rm -rf /artifacts/docs_build
-
-mkdir -p /artifacts/docs_build/docs/html/
-mkdir -p /artifacts/docs_build/docs/pdf/
-
-cp -r _build/html/* /artifacts/docs_build/docs/html/
-cp -r _build/latex/*.pdf /artifacts/docs_build/docs/pdf/
+# Publish to docs.taler.net if on master branch
+if [[ ${CI_GIT_BRANCH} = "master" ]]; then
+ rm -rf /artifacts/docs_build
+
+ mkdir -p /artifacts/docs_build/docs/html/
+ mkdir -p /artifacts/docs_build/docs/pdf/
+
+ cp -r _build/html/* /artifacts/docs_build/docs/html/
+ cp -r _build/latex/*.pdf /artifacts/docs_build/docs/pdf/
+fi
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
- [taler-docs] branch master updated (54145e3f -> 24933224),
gnunet <=